> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the given BookingDetail Object

> ## Get information about the given BookingDetail Object ##

<p>
Retrieves information about the given BookingDetail Object.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>bookingDetailId</td><td>n</td><td>Integer</td><td>ID of this BookingDetail Object.</td>
         </tr>
         <tr>
             <td>name</td><td>n</td><td>String</td><td>Name of BookingDetail Object.</td>
         </tr>
         <tr>
             <td>pickups</td><td>n</td><td>Array</td><td>List of Pickup objects.</td>
         </tr>
         <tr>
             <td>supplierBookingDetailsOptionalFields</td><td>n</td><td>Array</td><td>List of SupplierBookingDetailsOptionalField objects.</td>
         </tr>
     </tbody>
 </table>


**Pickup Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>pickupTime</td><td>n</td><td>String</td><td>Time in format HH:ii.</td>
         </tr>
         <tr>
             <td>pickupLocation</td><td>n</td><td>String</td><td>Name of pickup location.</td>
         </tr>
     </tbody>
 </table>

 **SupplierBookingDetailsOptionalField**
 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>supplierBookingDetailsOptionalFieldId</td><td>n</td><td>Integer</td><td>Unique identifier.</td>
         </tr>
         <tr>
             <td>title</td><td>n</td><td>String</td><td>Name of the optional field.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/bookingdetail/{bookingDetailId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/bookingdetail/{bookingDetailId}:
    get:
      tags:
        - Version 1
        - Booking Details
      summary: Get information about the given BookingDetail Object
      description: |-
        ## Get information about the given BookingDetail Object ##

        <p>
        Retrieves information about the given BookingDetail Object.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>bookingDetailId</td><td>n</td><td>Integer</td><td>ID of this BookingDetail Object.</td>
                 </tr>
                 <tr>
                     <td>name</td><td>n</td><td>String</td><td>Name of BookingDetail Object.</td>
                 </tr>
                 <tr>
                     <td>pickups</td><td>n</td><td>Array</td><td>List of Pickup objects.</td>
                 </tr>
                 <tr>
                     <td>supplierBookingDetailsOptionalFields</td><td>n</td><td>Array</td><td>List of SupplierBookingDetailsOptionalField objects.</td>
                 </tr>
             </tbody>
         </table>


        **Pickup Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>pickupTime</td><td>n</td><td>String</td><td>Time in format HH:ii.</td>
                 </tr>
                 <tr>
                     <td>pickupLocation</td><td>n</td><td>String</td><td>Name of pickup location.</td>
                 </tr>
             </tbody>
         </table>

         **SupplierBookingDetailsOptionalField**
         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>supplierBookingDetailsOptionalFieldId</td><td>n</td><td>Integer</td><td>Unique identifier.</td>
                 </tr>
                 <tr>
                     <td>title</td><td>n</td><td>String</td><td>Name of the optional field.</td>
                 </tr>
             </tbody>
         </table>
      operationId: getBookingDetailAction
      parameters:
        - name: bookingDetailId
          in: path
          description: The ID of the Booking Detail
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: BookingDetail not found.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.